Bug 504112 - Bogofilter isn't filtering spam as well as in the past
Bogofilter isn't filtering spam as well as in the past
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bogofilter (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adrian Reber
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-04 06:21 EDT by Rodd Clarkson
Modified: 2009-06-26 22:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.2.0-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 22:43:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2009-06-04 06:21:35 EDT
Description of problem:

Recently bogofilter's spam sensing abilities seem to have gone all wrong
in evolution.

I was getting way too much span in the inbox (maybe 10% of my spam
wasn't getting detected) and even though I was highlighting it and
marking it as spam the same sorts of messages kept appearing.

So I

1. Stopped evolution getting mail (using the offline icon)
2. deleted all my spam and emptied the trash
3. closed evolution (and ran evolution --force-shutdown).
4. moved ~/.bogofilter to ~/.bogofilter.orig
5. restarted evolution and went back online.

For a while, bogofilter seemed to be doing a better job filtering spam
(much less coming through to the inbox).

However, having a look through the spam, I notice that all my
fedore-(test|devel)-list email and a whole bunch of other email is
getting filtered as spam.  I highlight these and mark and not spam.

Now I'm back where I started.

When I first started using bogofilter is needed a little training
(including having put non-spam in the spam box) but after a couple of
days it settled and was quite good (maybe 1% of spam got into my inbox
and very rarely a message I wanted went to spam), so I'm not sure what's
gone wrong.

I prefer bogofilter over spamassassin as the latter takes forever to
filter through email, especially when you've been on holidays for a week
and have to pull a couple of 1000 messages.


Version-Release number of selected component (if applicable):


[rodd@moose ~]$ sudo yum list | grep bogo
bogofilter.i586                     1.1.7-3.fc11               installed        
bogofilter-bogoupgrade.i586         1.1.7-3.fc11               installed        
evolution-bogofilter.i586           2.26.2-1.fc11              installed        
claws-mail-plugins-bogofilter.i586  3.7.1-1.fc11               fedora
Comment 1 Mike Chambers 2009-06-04 17:19:58 EDT
Experiencing (ed?) the same thing as well but on 64bit system.
Comment 2 Adrian Reber 2009-06-16 04:56:02 EDT
I will update bogofilter to 1.2.0 on the F-11 and F-10 branch. Hopefully that will fix it.

If that does not help you probably have to contact upstream directly.
Comment 3 Fedora Update System 2009-06-16 05:15:50 EDT
bogofilter-1.2.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bogofilter-1.2.0-1.fc11
Comment 4 Fedora Update System 2009-06-16 05:16:34 EDT
bogofilter-1.2.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/bogofilter-1.2.0-1.fc10
Comment 5 Fedora Update System 2009-06-18 07:48:07 EDT
bogofilter-1.2.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bogofilter'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6581
Comment 6 Fedora Update System 2009-06-18 07:49:53 EDT
bogofilter-1.2.0-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bogofilter'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6599
Comment 7 Fedora Update System 2009-06-26 22:43:53 EDT
bogofilter-1.2.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-06-26 22:59:35 EDT
bogofilter-1.2.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.